
hirom  ; don't change this
header  ; comment out if your rom has no header

org $C14587  ; location in v1.0
;org $C14584  ; location in v1.1
check_status:
C14587:	REP #$20  ; 16-bit A
C14589:	LDA $2EBD,X  ; status bytes 1 & 2
;REMOVED1:	BEQ other_side
C1458C:	XBA
	STA $48
	LDA $2EBF,X
	XBA
	STA $4A
REPLACE1:
C14595:	TDC  ; these three instructions replace the one LDX
C14596:	TAX
C14597:	TAY
;C14595:	LDX #$0000

status_loop:
REPLACE2:
C14598:	ASL $4A  ; two instructions replace one
C1459A:	ROL $48
;C14598:	ASL A
	BCC iterate
	LDA $C2ADE1,X  ; get first character of status
	INC A  ; if it's a space, keep looking

REPLACE3:
C145A3:	BNE status_found  ; one replaces one
;C145A3:	BCS status_found

iterate:
	TXA
	CLC
	ADC #$000A
	TAX

REPLACE4:
C145AB:	INY  ; two replace two
C145AC:	CPY #$001F
;C145AB:	INX
;C145AC:	CPX #$0010
C145AF:	BNE status_loop

status_found:
REPLACE5:
C145B1:	TYA  ; one for one
;C145B1:	TXA
C145B2:	SEP #$20
C145B4:	RTS

;REMOVED2:
;other_side:
;	LDA $2EBF,X
;	LDX #$0010
;	XBA
;status_loop2:
;	ASL A
;	BCS status_found2
;	INX
;	CPX #$001F
;	BNE status_loop2
;status_found2:
;	TXA
;	SEP #$20
C145B5:	RTS

check_member:
C145B6:	TAX
C145B7:	LDA $64D6,X
;REMOVED3:	BMI clear_carry
C145BA:	ASL A
	PHP
C145BC:	ASL A
C145BD:	ASL A
C145BE:	ASL A
C145BF:	ASL A
	PLP
C145C1:	TAX
;REMOVED4:
;	SEC
;	RTS
;clear_carry:
;	CLC
C145C2:	RTS

prep_status_names:
C145C3:	LDA #$21
C145C5:	JSR $4E5A  ; v1.0 only
;C145C5:	JSR $4E57  ; v1.1 only
C145C8:	TDC
C145C9:	JSR check_member

REPLACE6:
C145CC:	BCS exit  ; replace BCC with BCS; 3 more of these
;C145CC:	BCC exit
C145CE:	JSR check_status
C145D1:	STA $56D6
C145D4:	LDA #$01
C145D6:	JSR check_member

REPLACE7:
C145D9:	BCS exit  ; replace BCC with BCS; 2 more of these
;C145D9:	BCC exit
C145DB:	JSR check_status
C145DE:	STA $56D9
C145E1:	LDA #$02
C145E3:	JSR check_member

REPLACE8:
C145E6:	BCS exit  ; replace BCC with BCS; 1 more of these
;C145E6:	BCC exit
C145E8:	JSR check_status
C145EB:	STA $56DC
C145EE:	LDA #$03
C145F0:	JSR check_member

REPLACE9:
C145F3:	BCS exit  ; replace BCC with BCS
;C145F3:	BCC exit
C145F5:	JSR check_status
C145F8:	STA $56DF

exit:
C145FB:	JMP $66B1  ; v1.0 only
;C145FB:	JMP $66AE  ; v1.1 only